package com.gyee.alarm.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 故障规则
 * </p>
 *
 * @author shilin
 * @since 2023-10-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconAlarmRuleFailure extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 故障码
     */
    private String nemCode;

    /**
     * 故障英文描述
     */
    private String describe;

    /**
     * 故障名称
     */
    private String name;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 排查方法
     */
    private String resolvent;

    /**
     * 故障类型
     */
    private String types;

    /**
     * 关联报警
     */
    private String alarmId;

    /**
     * 型号
     */
    private String modelId;

    /**
     * 场站编号
     */
    private String stationId;

    /**
     * 故障时长
     */
    private BigDecimal faultTimes;

    /**
     * 关联部件
     */
    private String relatedParts;


}
