package com.gyee.alarm.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.mapper.auto.ProEconCurveFittMonthMainMapper;
import com.gyee.alarm.model.auto.ProEconCurveFittMonthMain;
import com.gyee.alarm.service.auto.IProEconCurveFittMonthMainService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机月拟合曲线主表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconCurveFittMonthMainServiceImpl extends ServiceImpl<ProEconCurveFittMonthMainMapper, ProEconCurveFittMonthMain> implements IProEconCurveFittMonthMainService {

    @Resource
    private ProEconCurveFittMonthMainMapper proEconCurveFittMonthMainMapper;
    @Override
    public int deleteProEconCurveFittMonthMainFByMonth(String year, String month) {

        return proEconCurveFittMonthMainMapper.deleteProEconCurveFittMonthSubFByMonth(year,month);
    }
    @Override
    public int deleteProEconCurveFittMonthMainGByMonth(String year, String month) {

        return proEconCurveFittMonthMainMapper.deleteProEconCurveFittMonthSubGByMonth(year,month);
    }
}
