package com.gyee.alarm.mapper.auto;

import com.gyee.alarm.model.auto.ProEconEarlyReportAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 预警报告报警 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
public interface ProEconEarlyReportAlarmMapper extends BaseMapper<ProEconEarlyReportAlarm> {

    @Select("select * from pro_econ_early_report_alarm where  report_windturbine_id=#{windturbineReportId}")
    List<ProEconEarlyReportAlarm> findByWindturbineReportId(@Param("windturbineReportId") String windturbineReportId);

}
